Next: PDP-11 Options, Previous: Nvidia PTX Options, Up: Submodel Options [Contents][Index]

#### 3.18.36 OpenRISC Options

These options are defined for OpenRISC:

`-mboard=name`

  Configure a board specific runtime. This will be passed to the linker for newlib board library linking. The default is `or1ksim`.

`-mnewlib`

  For compatibility, it’s always newlib for elf now.

`-mhard-div`

  Generate code for hardware which supports divide instructions. This is the default.

`-mhard-mul`

  Generate code for hardware which supports multiply instructions. This is the default.

`-mcmov`

  Generate code for hardware which supports the conditional move (`l.cmov`) instruction.

`-mror`

  Generate code for hardware which supports rotate right instructions.

`-msext`

  Generate code for hardware which supports sign-extension instructions.

`-msfimm`

  Generate code for hardware which supports set flag immediate (`l.sf*i`) instructions.

`-mshftimm`

  Generate code for hardware which supports shift immediate related instructions (i.e. `l.srai`, `l.srli`, `l.slli`, `1.rori`). Note, to enable generation of the `l.rori` instruction the `-mror` flag must also be specified.

`-msoft-div`

  Generate code for hardware which requires divide instruction emulation.

`-msoft-mul`

  Generate code for hardware which requires multiply instruction emulation.